> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Info task

> Used to get information on a single task.

## OpenAPI

````json POST /info/task
{
  "openapi": "3.1.0",
  "info": {
    "title": "external-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.eu.xtremepush.com/api/external"
    }
  ],
  "paths": {
    "/info/task": {
      "post": {
        "summary": "Info task",
        "description": "Used to get information on a single task.",
        "operationId": "task-info",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "apptoken",
                  "id"
                ],
                "properties": {
                  "apptoken": {
                    "type": "string",
                    "description": "Your App token"
                  },
                  "id": {
                    "type": "integer",
                    "format": "int32",
                    "description": "ID of the task"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "true",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "200",
                      "default": "0"
                    },
                    "model": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": "5853",
                          "default": "0"
                        },
                        "project_id": {
                          "type": "integer",
                          "example": "1",
                          "default": "0"
                        },
                        "identifier": {
                          "type": "string",
                          "example": "profile_import"
                        },
                        "info": {
                          "type": "string",
                          "example": ""
                        },
                        "params": {
                          "type": "object",
                          "properties": {
                            "fileId": {
                              "type": "string",
                              "example": "11ead35649121a69b6400a5174242624"
                            },
                            "profileIdentifier": {
                              "type": "integer",
                              "example": "1",
                              "default": "0"
                            },
                            "event": {},
                            "origin": {}
                          }
                        },
                        "result": {},
                        "errors": {
                          "type": "object",
                          "properties": {
                            "file[columns]": {
                              "type": "array",
                              "items": {
                                "type": "string",
                                "example": "Column 'firstname' is not set to be a profile attribute"
                              }
                            },
                            "file[rows]": {
                              "type": "array",
                              "items": {
                                "type": "string",
                                "example": "Rows must contain identifier (Row 4)"
                              }
                            }
                          }
                        },
                        "create_time": {
                          "type": "integer",
                          "example": "1596217813",
                          "default": "0"
                        },
                        "start_time": {
                          "type": "integer",
                          "example": "1596217813",
                          "default": "0"
                        },
                        "finish_time": {
                          "type": "integer",
                          "example": "1596217813",
                          "default": "0"
                        },
                        "status": {
                          "type": "integer",
                          "example": "2",
                          "default": "0"
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "true",
                      "code": "200",
                      "model": {
                        "id": "5853",
                        "project_id": "1",
                        "identifier": "profile_import",
                        "info": "",
                        "params": {
                          "fileId": "11ead35649121a69b6400a5174242624",
                          "profileIdentifier": "1"
                        },
                        "errors": {
                          "file[columns]": [
                            "Column 'firstname' is not set to be a profile attribute"
                          ],
                          "file[rows]": [
                            "Rows must contain identifier (Row 4)"
                          ]
                        },
                        "create_time": "1596217813",
                        "start_time": "1596217813",
                        "finish_time": "1596217813",
                        "status": "2"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "false",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "400",
                      "default": "0"
                    },
                    "message": {
                      "type": "string",
                      "example": "General error information"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "text": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "false",
                      "code": "400",
                      "message": "General error information",
                      "errors": [
                        {
                          "text": [
                            "Detailed information about the specific error"
                          ]
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Task Methods"
        ]
      }
    }
  }
}
````

